<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="file" refid="cy__rgb__led_8c"><name>cy_rgb_led.c</name>
    <member kind="define" refid="cy__rgb__led_8c_1a45ff91acf046de5e171d238c270148d2"><name>CY_RGB_LED_PWM_PERIOD_US</name></member>
    <member kind="define" refid="cy__rgb__led_8c_1a5d98865f1e502f0f0ce162e7795d5293"><name>CY_RGB_LED_OFF</name></member>
    <member kind="define" refid="cy__rgb__led_8c_1a15539a09dc28307dba22b221b3b9c925"><name>CY_RGB_LED_ON</name></member>
    <member kind="define" refid="cy__rgb__led_8c_1a502da9e0edc97ce0dd023993ce0b0f69"><name>CY_RGB_LED_TCPWM_CLK_DIVIDER</name></member>
    <member kind="define" refid="cy__rgb__led_8c_1a69d527c830f4d1559ea2aad3515cf6e0"><name>CY_RGB_LED_TCPWM_LP_MODE_CHECK_SKIP</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a0efff5ef284324285b2b992419cce4e5"><name>pwm_red_obj</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a03db5551ddd826e01f5d1ef17337db3b"><name>pwm_green_obj</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a825c629ce4ab89cc81fa23c66474ad23"><name>pwm_blue_obj</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a230b340b4c3998d343da8186aaba3500"><name>led_color</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a66c6d9069db8edb4ceaa8e5460acc7f4"><name>led_brightness</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a02aad3bc17dbed0e23a895d6c7ac0f68"><name>rgb_led_state</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1aceed883c812380ba7153a13d18b64686"><name>rgb_led_active_logic</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1ab9cc0df1b455b524fb3f8ddb3cc1ad84"><name>lp_param</name></member>
    <member kind="variable" refid="cy__rgb__led_8c_1a409d42671e11c3b85fd2fd48f0082521"><name>lp_config</name></member>
    <member kind="function" refid="cy__rgb__led_8c_1a368a968d4ea3e7288b3c5f6e2e39c62a"><name>cy_rgb_led_lp_readiness</name></member>
    <member kind="function" refid="cy__rgb__led_8c_1a7e2d23eb560e04557900fe7493c5df45"><name>cy_rgb_led_register_lp_cb</name></member>
    <member kind="function" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba"><name>cy_rgb_led_init</name></member>
    <member kind="function" refid="group__group__board__libs_1ga9ae4115d5498c0c6d1d0fb087ef8bcc1"><name>cy_rgb_led_deinit</name></member>
    <member kind="function" refid="group__group__board__libs_1gaf355e51e75c75ab794de431115fb964c"><name>cy_rgb_led_on</name></member>
    <member kind="function" refid="group__group__board__libs_1gaedaf9c7d163447146ef1ba6fa93d20e4"><name>cy_rgb_led_off</name></member>
    <member kind="function" refid="group__group__board__libs_1ga4e0fea7dd904cfc4ed49707dbb0aae6d"><name>cy_rgb_led_set_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga80fcfa71b197fe31922c145582847253"><name>cy_rgb_led_set_brightness</name></member>
    <member kind="function" refid="group__group__board__libs_1ga23ee0f66bf3672a02f37d9ac5aaba208"><name>cy_rgb_led_get_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga33c865672c77c3394eb642fb7c2de3e3"><name>cy_rgb_led_get_brightness</name></member>
    <member kind="function" refid="group__group__board__libs_1ga71871acc4e184d330628954e79a17f9f"><name>cy_rgb_led_toggle</name></member>
  </compound>
  <compound kind="file" refid="cy__rgb__led_8h"><name>cy_rgb_led.h</name>
    <member kind="define" refid="group__group__board__libs_1ga96d3d881b08433855a6e81f16c3b5849"><name>CY_RSLT_RGB_LED_CLK_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga02bd9a59dd878ef3740a62328e5be3e7"><name>CY_RSLT_RGB_LED_PWM_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga7c54f36799d984ad5e8fd303de8cc2fc"><name>CY_RSLT_RGB_LED_LP_CB_REG_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2e3b1130d69c22bee9c512ebf682303a"><name>CY_RSLT_RGB_LED_LP_CB_DEREG_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2255d8a23e3e0d2ece596bae67c18292"><name>CY_RGB_LED_RED_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga353b029e3ba2b04f04068b9c6d2cf4e1"><name>CY_RGB_LED_GREEN_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga118c03dca785ace3498eb43bfccf6d71"><name>CY_RGB_LED_BLUE_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319"><name>CY_RGB_LED_COLOR_RED</name></member>
    <member kind="define" refid="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794"><name>CY_RGB_LED_COLOR_GREEN</name></member>
    <member kind="define" refid="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682"><name>CY_RGB_LED_COLOR_BLUE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga5d0e205e0d974c7f2672b05a5c9fbabc"><name>CY_RGB_LED_COLOR_WHITE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2a72f579397009fe7b5278cf3b987833"><name>CY_RGB_LED_COLOR_YELLOW</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0276d078c1aaa97e0cfb5c79fefbfc11"><name>CY_RGB_LED_COLOR_MAGENTA</name></member>
    <member kind="define" refid="group__group__board__libs_1ga64e7dfc420f5fbd1df5f23c5efedf382"><name>CY_RGB_LED_COLOR_PURPLE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2f9fac1c2be3b7f60fb5a8764a784ebb"><name>CY_RGB_LED_COLOR_CYAN</name></member>
    <member kind="define" refid="group__group__board__libs_1gadac8cb0f119f8ee977f2ca99b75b477b"><name>CY_RGB_LED_COLOR_OFF</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0a950307707e911bb5aef6712dd4aceb"><name>CY_RGB_LED_MAX_BRIGHTNESS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga9140c9479a0ec29c9707bdb6fc0447c7"><name>CY_RGB_LED_ACTIVE_HIGH</name></member>
    <member kind="define" refid="group__group__board__libs_1gaaae1e2ea0be32d9768af86c36c38844d"><name>CY_RGB_LED_ACTIVE_LOW</name></member>
    <member kind="function" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba"><name>cy_rgb_led_init</name></member>
    <member kind="function" refid="group__group__board__libs_1ga9ae4115d5498c0c6d1d0fb087ef8bcc1"><name>cy_rgb_led_deinit</name></member>
    <member kind="function" refid="group__group__board__libs_1gaf355e51e75c75ab794de431115fb964c"><name>cy_rgb_led_on</name></member>
    <member kind="function" refid="group__group__board__libs_1gaedaf9c7d163447146ef1ba6fa93d20e4"><name>cy_rgb_led_off</name></member>
    <member kind="function" refid="group__group__board__libs_1ga71871acc4e184d330628954e79a17f9f"><name>cy_rgb_led_toggle</name></member>
    <member kind="function" refid="group__group__board__libs_1ga4e0fea7dd904cfc4ed49707dbb0aae6d"><name>cy_rgb_led_set_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga23ee0f66bf3672a02f37d9ac5aaba208"><name>cy_rgb_led_get_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga33e211021cd43834d4c813184f168758"><name>cy_rgb_led_create_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga80fcfa71b197fe31922c145582847253"><name>cy_rgb_led_set_brightness</name></member>
    <member kind="function" refid="group__group__board__libs_1ga33c865672c77c3394eb642fb7c2de3e3"><name>cy_rgb_led_get_brightness</name></member>
  </compound>
  <compound kind="file" refid="_r_e_a_d_m_e_8doxygen_8md"><name>README.doxygen.md</name>
  </compound>
  <compound kind="group" refid="group__group__board__libs"><name>group_board_libs</name>
    <member kind="function" refid="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba"><name>cy_rgb_led_init</name></member>
    <member kind="function" refid="group__group__board__libs_1ga9ae4115d5498c0c6d1d0fb087ef8bcc1"><name>cy_rgb_led_deinit</name></member>
    <member kind="function" refid="group__group__board__libs_1gaf355e51e75c75ab794de431115fb964c"><name>cy_rgb_led_on</name></member>
    <member kind="function" refid="group__group__board__libs_1gaedaf9c7d163447146ef1ba6fa93d20e4"><name>cy_rgb_led_off</name></member>
    <member kind="function" refid="group__group__board__libs_1ga71871acc4e184d330628954e79a17f9f"><name>cy_rgb_led_toggle</name></member>
    <member kind="function" refid="group__group__board__libs_1ga4e0fea7dd904cfc4ed49707dbb0aae6d"><name>cy_rgb_led_set_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga23ee0f66bf3672a02f37d9ac5aaba208"><name>cy_rgb_led_get_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga33e211021cd43834d4c813184f168758"><name>cy_rgb_led_create_color</name></member>
    <member kind="function" refid="group__group__board__libs_1ga80fcfa71b197fe31922c145582847253"><name>cy_rgb_led_set_brightness</name></member>
    <member kind="function" refid="group__group__board__libs_1ga33c865672c77c3394eb642fb7c2de3e3"><name>cy_rgb_led_get_brightness</name></member>
    <member kind="define" refid="group__group__board__libs_1ga96d3d881b08433855a6e81f16c3b5849"><name>CY_RSLT_RGB_LED_CLK_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga02bd9a59dd878ef3740a62328e5be3e7"><name>CY_RSLT_RGB_LED_PWM_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga7c54f36799d984ad5e8fd303de8cc2fc"><name>CY_RSLT_RGB_LED_LP_CB_REG_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2e3b1130d69c22bee9c512ebf682303a"><name>CY_RSLT_RGB_LED_LP_CB_DEREG_FAIL</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2255d8a23e3e0d2ece596bae67c18292"><name>CY_RGB_LED_RED_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga353b029e3ba2b04f04068b9c6d2cf4e1"><name>CY_RGB_LED_GREEN_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga118c03dca785ace3498eb43bfccf6d71"><name>CY_RGB_LED_BLUE_POS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319"><name>CY_RGB_LED_COLOR_RED</name></member>
    <member kind="define" refid="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794"><name>CY_RGB_LED_COLOR_GREEN</name></member>
    <member kind="define" refid="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682"><name>CY_RGB_LED_COLOR_BLUE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga5d0e205e0d974c7f2672b05a5c9fbabc"><name>CY_RGB_LED_COLOR_WHITE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2a72f579397009fe7b5278cf3b987833"><name>CY_RGB_LED_COLOR_YELLOW</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0276d078c1aaa97e0cfb5c79fefbfc11"><name>CY_RGB_LED_COLOR_MAGENTA</name></member>
    <member kind="define" refid="group__group__board__libs_1ga64e7dfc420f5fbd1df5f23c5efedf382"><name>CY_RGB_LED_COLOR_PURPLE</name></member>
    <member kind="define" refid="group__group__board__libs_1ga2f9fac1c2be3b7f60fb5a8764a784ebb"><name>CY_RGB_LED_COLOR_CYAN</name></member>
    <member kind="define" refid="group__group__board__libs_1gadac8cb0f119f8ee977f2ca99b75b477b"><name>CY_RGB_LED_COLOR_OFF</name></member>
    <member kind="define" refid="group__group__board__libs_1ga0a950307707e911bb5aef6712dd4aceb"><name>CY_RGB_LED_MAX_BRIGHTNESS</name></member>
    <member kind="define" refid="group__group__board__libs_1ga9140c9479a0ec29c9707bdb6fc0447c7"><name>CY_RGB_LED_ACTIVE_HIGH</name></member>
    <member kind="define" refid="group__group__board__libs_1gaaae1e2ea0be32d9768af86c36c38844d"><name>CY_RGB_LED_ACTIVE_LOW</name></member>
  </compound>
  <compound kind="dir" refid="dir_88fd1fbce62673a49da2be6a8bf1aede"><name>COMPONENT_RGB_LED</name>
  </compound>
  <compound kind="dir" refid="dir_7adc4720b3983a97e3c6ffa80973c5b8"><name>libs</name>
  </compound>
  <compound kind="dir" refid="dir_cf6d034fbb8a82be17b39265b6ed736a"><name>output</name>
  </compound>
  <compound kind="dir" refid="dir_1d82a426769d1c48de88cfe09b7a963c"><name>rgb-led</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>